IndexerServiceResource
Date: 2013-02-17

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.execution.indexerservice
Class IndexerServiceResource

    java.lang.Object
      GCUBEWSResource
          org.gcube.execution.indexerservice.IndexerServiceResource

    public class IndexerServiceResource

extends GCUBEWSResource

A class containing stateful information regarding an OpenSearch adaptor.

Version:
  0.1

Field Summary
`static java.lang.String` | `RP_COMPLETED`
`static java.lang.String` | `RP_ENGINEURL`
`static java.lang.String` | `RP_ERROR`
`static java.lang.String` | `RP_ERRORDETAILS`
`static java.lang.String` | `RP_EXECUTIONID`
`static java.lang.String` | `RP_INPUTLOCATION`
`static java.lang.String` | `RP_JOBNAME`
`static java.lang.String` | `RP_LASTPOLLDATE`
`static java.lang.String` | `RP_OUTPUTARCHIVESTORAGESYSTEMID`
`static java.lang.String` | `RP_OUTPUTLOCATION`
`static java.lang.String` | `RP_OWNER`
`static java.lang.String` | `RP_STATUSDESCRIPTION`
`static java.lang.String` | `RP_STDERRSTORAGESYSTEMID`
`static java.lang.String` | `RP_STDOUTSTORAGESYSTEMID`
`static java.lang.String` | `RP_SUBMITDATE`
`static java.lang.String` | `RP_SUBSCOPE`

Constructor Summary
`IndexerServiceResource()` Empty constructor.

Method Summary
`boolean` | `getCompleted()`
`java.lang.String` | `getEngineUrl()`
`java.lang.String` | `getError()`
`java.lang.String` | `getErrorDetails()`
`java.lang.String` | `getExecutionId()`
`java.lang.String` | `getInputLocation()`
`java.lang.String` | `getJobName()`
`java.lang.String` | `getLastPollDate()`
`java.lang.String` | `getOutputArchiveStorageSystemId()`
`java.lang.String` | `getOutputLocation()`
`java.lang.String` | `getOwner()`
`java.lang.String` | `getStatusDescription()`
`java.lang.String` | `getStdErrStorageSystemId()`
`java.lang.String` | `getStdOutStorageSystemId()`
`java.lang.String` | `getSubmitDate()`
`java.lang.String` | `getSubScope()`
`void` | `setCompleted(boolean completed)`
`void` | `setEngineUrl(java.lang.String engUrl)`
`void` | `setError(java.lang.String error)`
`void` | `setErrorDetails(java.lang.String errorDetails)`
`void` | `setExecutionId(java.lang.String execId)`
`void` | `setInputLocation(java.lang.String input)`
`void` | `setJobName(java.lang.String jobName)`
`void` | `setLastPollDate(java.lang.String date)`
`void` | `setOutputArchiveStorageSystemId(java.lang.String stdOutId)`
`void` | `setOutputLocation(java.lang.String output)`
`void` | `setOwner(java.lang.String owner)`
`void` | `setStatusDescription(java.lang.String statusDescription)`
`void` | `setStdErrStorageSystemId(java.lang.String stdOutId)`
`void` | `setStdOutStorageSystemId(java.lang.String stdOutId)`
`void` | `setSubmitDate(java.lang.String date)`
`void` | `setSubScope(java.lang.String subScope)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RP_JOBNAME

    public static final java.lang.String RP_JOBNAME

See Also:
  Constant Field Values

### RP_STATUSDESCRIPTION

    public static final java.lang.String RP_STATUSDESCRIPTION

See Also:
  Constant Field Values

### RP_SUBMITDATE

    public static final java.lang.String RP_SUBMITDATE

See Also:
  Constant Field Values

### RP_LASTPOLLDATE

    public static final java.lang.String RP_LASTPOLLDATE

See Also:
  Constant Field Values

### RP_COMPLETED

    public static final java.lang.String RP_COMPLETED

See Also:
  Constant Field Values

### RP_STDOUTSTORAGESYSTEMID

    public static final java.lang.String RP_STDOUTSTORAGESYSTEMID

See Also:
  Constant Field Values

### RP_STDERRSTORAGESYSTEMID

    public static final java.lang.String RP_STDERRSTORAGESYSTEMID

See Also:
  Constant Field Values

### RP_OUTPUTARCHIVESTORAGESYSTEMID

    public static final java.lang.String RP_OUTPUTARCHIVESTORAGESYSTEMID

See Also:
  Constant Field Values

### RP_INPUTLOCATION

    public static final java.lang.String RP_INPUTLOCATION

See Also:
  Constant Field Values

### RP_OUTPUTLOCATION

    public static final java.lang.String RP_OUTPUTLOCATION

See Also:
  Constant Field Values

### RP_ERROR

    public static final java.lang.String RP_ERROR

See Also:
  Constant Field Values

### RP_ERRORDETAILS

    public static final java.lang.String RP_ERRORDETAILS

See Also:
  Constant Field Values

### RP_EXECUTIONID

    public static final java.lang.String RP_EXECUTIONID

See Also:
  Constant Field Values

### RP_ENGINEURL

    public static final java.lang.String RP_ENGINEURL

See Also:
  Constant Field Values

### RP_OWNER

    public static final java.lang.String RP_OWNER

See Also:
  Constant Field Values

### RP_SUBSCOPE

    public static final java.lang.String RP_SUBSCOPE

See Also:
  Constant Field Values

Constructor Detail

### IndexerServiceResource

    public IndexerServiceResource()

  Empty constructor. Initialization is done throught the initialize(...) method.

Method Detail

### setJobName

    public void setJobName(java.lang.String jobName)

### getJobName

    public java.lang.String getJobName()

### setStatusDescription

    public void setStatusDescription(java.lang.String statusDescription)

### getStatusDescription

    public java.lang.String getStatusDescription()

### setSubmitDate

    public void setSubmitDate(java.lang.String date)

### getSubmitDate

    public java.lang.String getSubmitDate()

### setLastPollDate

    public void setLastPollDate(java.lang.String date)

### getLastPollDate

    public java.lang.String getLastPollDate()

### setCompleted

    public void setCompleted(boolean completed)

### getCompleted

    public boolean getCompleted()

### setStdOutStorageSystemId

    public void setStdOutStorageSystemId(java.lang.String stdOutId)

### getStdOutStorageSystemId

    public java.lang.String getStdOutStorageSystemId()

### setStdErrStorageSystemId

    public void setStdErrStorageSystemId(java.lang.String stdOutId)

### getStdErrStorageSystemId

    public java.lang.String getStdErrStorageSystemId()

### setOutputArchiveStorageSystemId

    public void setOutputArchiveStorageSystemId(java.lang.String stdOutId)

### getOutputArchiveStorageSystemId

    public java.lang.String getOutputArchiveStorageSystemId()

### setInputLocation

    public void setInputLocation(java.lang.String input)

### getInputLocation

    public java.lang.String getInputLocation()

### setOutputLocation

    public void setOutputLocation(java.lang.String output)

### getOutputLocation

    public java.lang.String getOutputLocation()

### setError

    public void setError(java.lang.String error)

### getError

    public java.lang.String getError()

### setErrorDetails

    public void setErrorDetails(java.lang.String errorDetails)

### getErrorDetails

    public java.lang.String getErrorDetails()

### setExecutionId

    public void setExecutionId(java.lang.String execId)

### getExecutionId

    public java.lang.String getExecutionId()

### setEngineUrl

    public void setEngineUrl(java.lang.String engUrl)

### getEngineUrl

    public java.lang.String getEngineUrl()

### setOwner

    public void setOwner(java.lang.String owner)

### getOwner

    public java.lang.String getOwner()

### setSubScope

    public void setSubScope(java.lang.String subScope)

### getSubScope

    public java.lang.String getSubScope()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD